Bug 24697 - Split items.uri on staff detail view
Summary: Split items.uri on staff detail view
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-20 11:12 UTC by Marcel de Rooy
Modified: 2020-04-29 14:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24697: Split items.uri on staff detail view (2.75 KB, patch)
2020-02-20 12:13 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 24697: Split items.uri on staff detail view (2.76 KB, patch)
2020-02-21 07:47 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 24697: Split items.uri on staff detail view (2.75 KB, patch)
2020-02-23 15:39 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24697: Split items.uri on staff detail view (2.82 KB, patch)
2020-04-14 14:01 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2020-02-20 11:12:37 UTC

    
Comment 1 Marcel de Rooy 2020-02-20 12:13:50 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2020-02-21 07:47:40 UTC
Created attachment 99354 [details] [review]
Bug 24697: Split items.uri on staff detail view

If there are more URIs, we split on vertical bar and show the real URL
instead of duplicated text. Otherwise display depends on the pref
URLLinkText.

Test plan:
Create item with uri = A | B | C
Create another item with uri = D
Check the results on staff detail view (items table).

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 3 Bernardo Gonzalez Kriegel 2020-02-23 15:39:18 UTC
Created attachment 99467 [details] [review]
Bug 24697: Split items.uri on staff detail view

If there are more URIs, we split on vertical bar and show the real URL
instead of duplicated text. Otherwise display depends on the pref
URLLinkText.

Test plan:
Create item with uri = A | B | C
Create another item with uri = D
Check the results on staff detail view (items table).

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Works as described, no errors.
Comment 4 Marcel de Rooy 2020-02-24 07:23:58 UTC
(In reply to Bernardo Gonzalez Kriegel from comment #3)
> Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
> Works as described, no errors.

Thx Bernardo
Comment 5 Jonathan Druart 2020-02-24 10:49:16 UTC
Why do you split on | ?
Comment 6 Marcel de Rooy 2020-02-24 10:51:30 UTC
(In reply to Jonathan Druart from comment #5)
> Why do you split on | ?

It is the character used when gluing values in MARC to Koha.
Comment 7 Jonathan Druart 2020-04-14 14:01:07 UTC
Created attachment 102932 [details] [review]
Bug 24697: Split items.uri on staff detail view

If there are more URIs, we split on vertical bar and show the real URL
instead of duplicated text. Otherwise display depends on the pref
URLLinkText.

Test plan:
Create item with uri = A | B | C
Create another item with uri = D
Check the results on staff detail view (items table).

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Works as described, no errors.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Marcel de Rooy 2020-04-14 14:20:05 UTC
(In reply to Jonathan Druart from comment #7)
> Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Thx (as always :)
Comment 9 Martin Renvoize 2020-04-15 07:35:50 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 10 Joy Nelson 2020-04-29 14:59:40 UTC
enhancement not backported to 19.11.x